eccodes

- Main Page
- C Interface
- F90 Interface
- Python Interface

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Groups Pages
Public Member Functions
TestBufrFile Class Reference

Test BufrFile functionality. More...

Inherits TestCase.

## Public Member Functions
def | test_memory_management
| Messages in BufrFile can be opened and closed properly. More...
def | test_message_counting_works
| The BufrFile is aware of its messages. More...
def | test_iterator_protocol
| The BufrFile allows pythonic iteration over all messages. More...
def | test_read_past_last_message
| Trying to open message on exhausted BUFR file raises IOError. More...
def | test_read_invalid_file
| Trying to open message on nonexistent file raises IOError. More...

## Detailed Description

Test BufrFile functionality.

## Member Function Documentation

def test_iterator_protocol | ( |  | self | ) |

The BufrFile allows pythonic iteration over all messages.

def test_memory_management | ( |  | self | ) |

Messages in BufrFile can be opened and closed properly.

References TestBufrFile.test_read_past_last_message().

def test_message_counting_works | ( |  | self | ) |

The BufrFile is aware of its messages.

References TestBufrFile.test_read_invalid_file().

def test_read_invalid_file | ( |  | self | ) |

Trying to open message on nonexistent file raises IOError.

Referenced by TestBufrFile.test_message_counting_works().

def test_read_past_last_message | ( |  | self | ) |

Trying to open message on exhausted BUFR file raises IOError.

Referenced by TestBufrFile.test_memory_management().

The documentation for this class was generated from the following file:

- high_level_api.py